import type { DocumentWithPositions, DocumentWithPositionsPatch, EntityRef, HasVat } from '.';
import type { OptionalNullablePartial } from '../tools';
export type DemandMetaType = 'demand' | 'retaildemand';
export type AbstractDemandFields = {
    customerOrder: EntityRef<'customerorder'>;
};
export type AbstractDemand<T extends DemandMetaType> = DocumentWithPositions<T> & HasVat;
export type AbstractDemandPatch<T extends DemandMetaType> = DocumentWithPositionsPatch<T> & OptionalNullablePartial<Pick<AbstractDemandFields, 'customerOrder'>> & Partial<HasVat>;
