import type { DocumentWithPositions, DocumentWithPositionsExpand, DocumentWithPositionsPatch } from '.';
import type { OptionalNullablePartial } from '../tools';
export type OrderMetaType = 'customerorder' | 'purchaseorder';
export type OrderFields = {
    /** Планируемая дата отгрузки */
    deliveryPlannedMoment?: string;
};
export type Order<T extends OrderMetaType> = DocumentWithPositions<T> & OrderFields;
export type OrderExpand<T extends OrderMetaType> = Pick<Order<T>, 'store'> & DocumentWithPositionsExpand<T>;
export type OrderPatch<T extends OrderMetaType> = DocumentWithPositionsPatch<T> & OptionalNullablePartial<Pick<OrderFields, 'deliveryPlannedMoment'>>;
