import type { EntityRef, Position, PositionPatch } from '.';
import type { OptionalNullablePartial } from '../tools';
export type SalesReturnPositionFields = {
    /**
     * НДС
     */
    vat: number;
    vatEnabled: boolean;
    /** ГТД (только для salesreturn) */
    gtd?: {
        name: string;
    };
    /** Страна (только для salesreturn) */
    country?: EntityRef<'country'>;
};
export type SalesReturnPosition = Position<'salesreturnposition'> & SalesReturnPositionFields;
export type SalesReturnPositionPatch = PositionPatch<'demandposition'> & OptionalNullablePartial<Pick<SalesReturnPositionFields, 'vat' | 'vatEnabled' | 'gtd' | 'country'>>;
